# Handouts Plugin

This unofficial TaleSpire plugin which allows web and local handouts (images) to be shared to all clients. 

https://youtu.be/sRYln7Gc6Dg

## Install

Use R2ModMan to install the plugin.

If you are updating the plugin, you will need to edit the R2ModMan configuration to correct the shortcut keys.

Note: When using local images, all clients must have those images installed locally in a FAP legal location.

## Usage

### Dialog Based Handouts

Once a board has loaded use the triggering shortcut to activate the Dialog Based Input. This shortcut is configurable
in R2ModMan but defaults to LeftAlt+H (for dialog based handout).

This will open a dialog box.

To use web URL type the entire URL. Make sure that the URL starts with HTTP (or HTTPS).
To use a local image, type the image name without the path or the extension.

### Mini Based Handouts

Once a board has loaded, select a mini.

Use the triggering shortcut to activate the Mini Based Input. This shortcut is configurable in R2ModMan but defaults to
LeftCtrl+H (for mini based handout).

This will open the corresponding handout, if it exists, based on the mini name and ``.Handout.png`` appended to the the
name. As such Mini handouts work only in local mode.


## Change Log

1.2.0: Added Mini based Handouts
1.1.0: Refactored to use File Access to find image files
1.1.0: Refactored to use Asset Data Plugin for distribution
1.0.5: Relinked source code to work with latest BR assemblies
1.0.4: Plugin posted on TaleSpire main page
1.0.3: Expected local images are to be in TaleSpire_CustomData\Images